#ifndef DECL_VOXEL_SPRITE
#   define DECL_VOXEL_SPRITE(x)
#endif

// NOTE: Don't include this file directly. This file is included once in VoxelSprite.hpp
//       and then in VoxelSprite.cpp, so that a declaration and a usage of a voxel sprite are
//       not separated.

DECL_VOXEL_SPRITE(player);
DECL_VOXEL_SPRITE(cracks1);
DECL_VOXEL_SPRITE(cracks2);
DECL_VOXEL_SPRITE(cracks3);
DECL_VOXEL_SPRITE(cracks4);
DECL_VOXEL_SPRITE(cracks5);
DECL_VOXEL_SPRITE(cracks6);
DECL_VOXEL_SPRITE(cracks7);
DECL_VOXEL_SPRITE(miningRigAxelX);
DECL_VOXEL_SPRITE(miningRigAxelY);
DECL_VOXEL_SPRITE(miningRigJoint);
DECL_VOXEL_SPRITE(miningRigPipe);
DECL_VOXEL_SPRITE(miningRigLaser);

#undef DECL_VOXEL_SPRITE